%define major_version 3.5
%define minor_version 0.0
%define release 6%{?dist}

Name: redhat-storage-server
Summary: Red Hat Storage Server
Version: %{major_version}.%{minor_version}
Release: %{release}
License: GPLv3+
Group: Applications/System
URL: http://www.redhat.com
Vendor: Red Hat, Inc.
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
Source1: gtop-1.0.tar.gz
Source2: gluster-deploy-0.8.tar.gz

# Patches:
Patch001: 0001-build-3.5.0.0-4.patch
Patch002: 0002-build-3.5.0.0-5.patch
Patch003: 0003-build-3.5.0.0-6.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service
Obsoletes: appliance-base
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
Requires: iperf
Requires: ntp
%else
Requires: chrony
%endif
Requires: rsync, tdb-tools, tuned, dstat, nmap, valgrind
Requires: iscsi-initiator-utils
Requires: xfsprogs, xfsdump
Requires: abrt
Requires: abrt-cli
Requires: glusterfs >= 6.0, glusterfs-fuse, glusterfs-server, glusterfs-geo-replication
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
Requires: vdsm-reg
%else
Conflicts: vdsm-reg
Obsoletes: vdsm-reg
%endif
Requires: redhat-storage-logos
## start: resolving bz#994889
# below list is prepared by comparing ISO and Satellite RHS installation
# -- below addition are missing in ISO installation whereas available
# -- in Satellite installation
Requires: acpid
Requires: alsa-utils
Requires: at
Requires: bc
Requires: biosdevname
Requires: blktrace
Requires: cyrus-sasl-plain
Requires: eject
Requires: fprintd
Requires: fprintd-pam
Requires: gpm-libs
Requires: hunspell
Requires: hunspell-en
Requires: iwl1000-firmware
Requires: iwl100-firmware
Requires: iwl3945-firmware
Requires: iwl4965-firmware
Requires: iwl5000-firmware
Requires: iwl5150-firmware
Requires: iwl6000-firmware
Requires: iwl6000g2a-firmware
Requires: iwl6050-firmware
Requires: kexec-tools
Requires: ledmon
Requires: libfprint
Requires: lsof
Requires: man-pages-overrides
Requires: microcode_ctl
Requires: mlocate
Requires: mtr
Requires: mysql-libs
Requires: nano
Requires: ntsysv
Requires: pinfo
Requires: psacct
Requires: quota
Requires: redhat-indexhtml
Requires: rfkill
Requires: rng-tools
Requires: scl-utils
Requires: smartmontools
Requires: tcsh
Requires: time
Requires: tmpwatch
Requires: traceroute
Requires: usbutils
Requires: vim-common
Requires: vim-enhanced
Requires: words
Requires: xorg-x11-drv-ati-firmware
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
Requires: atmel-firmware
Requires: b43-fwcutter
Requires: b43-openfwwf
Requires: bfa-firmware
Requires: busybox
Requires: ipw2100-firmware
Requires: ipw2200-firmware
Requires: libertas-usb8388-firmware
Requires: pam_passwdqc
Requires: pcmciautils
Requires: ql23xx-firmware
Requires: ql2100-firmware
Requires: ql2200-firmware
Requires: ql2400-firmware
Requires: ql2500-firmware
Requires: readahead
Requires: rt61pci-firmware
Requires: rt73usb-firmware
Requires: vconfig
Requires: zd1211-firmware
%endif
## end:  resolving bz#994889

%description
Tools for Red Hat Storage Server

%prep
%setup -q -a 1 -a 2

%build
./configure --program-prefix=  --prefix=/ --datadir=/usr/share/redhat-storage-server --localstatedir=/var --mandir=/usr/share/man --infodir=/usr/share/info
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
cp -r gtop-1.0 %{buildroot}%{_prefix}/lib/glusterfs/.unsupported
cp -r gluster-deploy-0.8 %{buildroot}%{_prefix}/lib/glusterfs/.unsupported
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
install -p -m 644 rhel-6-69.pem %{buildroot}%{_sysconfdir}/pki/product/69.pem
install -D -p -m 755 tuned/rhel-6/rhs-high-throughput/ktune.sh        %{buildroot}%{_sysconfdir}/tune-profiles/rhs-high-throughput/ktune.sh
install -D -p -m 644 tuned/rhel-6/rhs-high-throughput/ktune.sysconfig %{buildroot}%{_sysconfdir}/tune-profiles/rhs-high-throughput/ktune.sysconfig
install -D -p -m 644 tuned/rhel-6/rhs-high-throughput/sysctl.ktune    %{buildroot}%{_sysconfdir}/tune-profiles/rhs-high-throughput/sysctl.ktune
install -D -p -m 644 tuned/rhel-6/rhs-high-throughput/tuned.conf      %{buildroot}%{_sysconfdir}/tune-profiles/rhs-high-throughput/tuned.conf
install -D -p -m 755 tuned/rhel-6/rhs-virtualization/ktune.sh         %{buildroot}%{_sysconfdir}/tune-profiles/rhs-virtualization/ktune.sh
install -D -p -m 644 tuned/rhel-6/rhs-virtualization/ktune.sysconfig  %{buildroot}%{_sysconfdir}/tune-profiles/rhs-virtualization/ktune.sysconfig
install -D -p -m 644 tuned/rhel-6/rhs-virtualization/sysctl.ktune     %{buildroot}%{_sysconfdir}/tune-profiles/rhs-virtualization/sysctl.ktune
install -D -p -m 644 tuned/rhel-6/rhs-virtualization/tuned.conf       %{buildroot}%{_sysconfdir}/tune-profiles/rhs-virtualization/tuned.conf
install -D -p -m 755 tuned/rhel-6/rhgs-sequential-io/ktune.sh         %{buildroot}%{_sysconfdir}/tune-profiles/rhgs-sequential-io/ktune.sh
install -D -p -m 644 tuned/rhel-6/rhgs-sequential-io/ktune.sysconfig  %{buildroot}%{_sysconfdir}/tune-profiles/rhgs-sequential-io/ktune.sysconfig
install -D -p -m 644 tuned/rhel-6/rhgs-sequential-io/sysctl.ktune     %{buildroot}%{_sysconfdir}/tune-profiles/rhgs-sequential-io/sysctl.ktune
install -D -p -m 644 tuned/rhel-6/rhgs-sequential-io/tuned.conf       %{buildroot}%{_sysconfdir}/tune-profiles/rhgs-sequential-io/tuned.conf
install -D -p -m 755 tuned/rhel-6/rhgs-random-io/ktune.sh             %{buildroot}%{_sysconfdir}/tune-profiles/rhgs-random-io/ktune.sh
install -D -p -m 644 tuned/rhel-6/rhgs-random-io/ktune.sysconfig      %{buildroot}%{_sysconfdir}/tune-profiles/rhgs-random-io/ktune.sysconfig
install -D -p -m 644 tuned/rhel-6/rhgs-random-io/sysctl.ktune         %{buildroot}%{_sysconfdir}/tune-profiles/rhgs-random-io/sysctl.ktune
install -D -p -m 644 tuned/rhel-6/rhgs-random-io/tuned.conf           %{buildroot}%{_sysconfdir}/tune-profiles/rhgs-random-io/tuned.conf
%else
install -p -m 644 rhel-7-69.pem %{buildroot}%{_sysconfdir}/pki/product/69.pem
install -D -p -m 644 tuned/rhel-7/rhgs-sequential-io/tuned.conf %{buildroot}%{_prefix}/lib/tuned/rhgs-sequential-io/tuned.conf
install -D -p -m 644 tuned/rhel-7/rhgs-random-io/tuned.conf %{buildroot}%{_prefix}/lib/tuned/rhgs-random-io/tuned.conf
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_sysconfdir}/init.d/gluster-system-settings
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
%{_sysconfdir}/tune-profiles/rhs-high-throughput/ktune.sh
%{_sysconfdir}/tune-profiles/rhs-high-throughput/ktune.sysconfig
%{_sysconfdir}/tune-profiles/rhs-high-throughput/sysctl.ktune
%{_sysconfdir}/tune-profiles/rhs-high-throughput/tuned.conf
%{_sysconfdir}/tune-profiles/rhs-virtualization/ktune.sh
%{_sysconfdir}/tune-profiles/rhs-virtualization/ktune.sysconfig
%{_sysconfdir}/tune-profiles/rhs-virtualization/sysctl.ktune
%{_sysconfdir}/tune-profiles/rhs-virtualization/tuned.conf
%{_sysconfdir}/tune-profiles/rhgs-sequential-io/ktune.sh
%{_sysconfdir}/tune-profiles/rhgs-sequential-io/ktune.sysconfig
%{_sysconfdir}/tune-profiles/rhgs-sequential-io/sysctl.ktune
%{_sysconfdir}/tune-profiles/rhgs-sequential-io/tuned.conf
%{_sysconfdir}/tune-profiles/rhgs-random-io/ktune.sh
%{_sysconfdir}/tune-profiles/rhgs-random-io/ktune.sysconfig
%{_sysconfdir}/tune-profiles/rhgs-random-io/sysctl.ktune
%{_sysconfdir}/tune-profiles/rhgs-random-io/tuned.conf
%else
%{_prefix}/lib/tuned/rhgs-sequential-io/tuned.conf
%{_prefix}/lib/tuned/rhgs-random-io/tuned.conf
%endif
%{_sysconfdir}/pki/product/186.pem
%{_sysconfdir}/pki/product/69.pem
%{_sysconfdir}/sysctl.d/gluster.sysctl
%{_sysconfdir}/redhat-storage-release
%{_prefix}/lib/glusterfs/.unsupported/

%post
chkconfig gluster-system-settings on
chkconfig tuned on
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
chkconfig ntpd on
chkconfig ip6tables off
%else
systemctl enable chronyd.service
%endif

sed -i -e 's/Red Hat Storage.* release .*/Red Hat Storage Server release %{major_version}/' /etc/issue /etc/issue.net
# bz#1020291
rm -f /etc/libvirt/qemu/networks/autostart/default.xml

%changelog
* Tue May 26 2020 Rinku Kothiya <rkothiya@redhat.com> - 3.5.0.0-6
- resolves bz#1840198 - update with entitlement certificate for RHEL 7.8

* Fri Apr 03 2020 Rinku Kothiya <rkothiya@redhat.com> - 3.5.0.0-5
- resolves bz#1820460 - Removed rdate, screen and logs dependency

* Thu Apr 02 2020 Rinku Kothiya <rkothiya@redhat.com> - 3.5.0.0-4
- resolves bz#1819312 - fixing the tar file

* Wed Apr 01 2020 Rinku Kothiya <rkothiya@redhat.com> - 3.5.0.0-3
- resolves bz#1819312 - Removed unwanted dependency via patch file

* Wed Apr 01 2020 Rinku Kothiya <rkothiya@redhat.com> - 3.5.0.0-2
- resolves bz#1819312 - Removed unwanted dependency

* Mon Mar 30 2020 Rinku Kothiya <rkothiya@redhat.com> - 3.5.0.0-1
- resolves bz#1818568 - Removed gluster-nagios-addons dependency

* Mon Mar 23 2020 Rinku Kothiya <rkothiya@redhat.com> - 3.5.0.0-1
- resolves bz#1815444 - updated redhat-storage-server build for RHEL 8

* Fri Jun 07 2019 Sunil Kumar Acharya <sheggodu@redhat.com> - 3.5.0.0-1
- resolves bz#1710233 - updated glusterfs version

* Fri Jun 07 2019 Sunil Kumar Acharya <sheggodu@redhat.com>
- resolves bz#1712151 - update with entitlement certificate for RHGS-3.5.0

* Tue May 21 2019 Sunil Kumar Acharya <sheggodu@redhat.com>
- resolves bz#1712154 - Update redhat-storage-server version details for RHGS-3.5.0
- resolves bz#1710233 - redhat-storage-server rpm is not available for rhgs-3.5.0
- resolves bz#1712149 - update with entitlement certificate for RHEL 7.7

* Mon Nov 05 2018 Milind Changire <mchangir@redhat.com> - 3.4.2.0-1
- resolves bz#1509888 - improve shell coding style in /etc/init.d/gluster-system-settings

* Mon Oct 22 2018 Milind Changire <mchangir@redhat.com> - 3.4.1.0-1
- resolves bz#1640135 - update version to 3.4
- resolves bz#1643194 - entitlement cert for RHEL 6.10

* Thu Mar 22 2018 Milind Changire <mchangir@redhat.com> - 3.4.0.0-1
- resolves bz#1558509 - first build for RHGS 3.4.0 for RHEL6
- resolves bz#1558515 - first build for RHGS 3.4.0 for RHEL7
- resolves bz#1558517 - updated entitlement certificate for RHEL-7.5

* Mon Oct 02 2017 Milind Changire <mchangir@redhat.com> - 3.3.1.0-1
- resolves bz#1495088 - first build for RHGS 3.3.1

* Wed May 17 2017 Milind Changire <mchangir@redhat.com> - 3.3.0.1-1
- resolves bz#1445145 - updated product certificate for RHGS 3.3.0

* Thu Apr 20 2017 Milind Changire <mchangir@redhat.com> - 3.3.0.0-1
- resolves bz#1440699 - removed dependency on ldb-tools
- resolves bz#1421639 - removed setting of core file limit from shell startup profile
- resolves bz#1443884 - no longer disabling iscsi and iscsid services

* Thu Mar 16 2017 Milind Changire <mchangir@redhat.com> - 3.2.0.3-1
- resolves bz#1432972 - update RHEL 6 product certificate to RHEL 6.9

* Tue Nov 29 2016 Milind Changire <mchangir@redhat.com> - 3.2.0.2-1
- resolves bz#1387150 - update product certificate for RHGS 3.2.0 for RHEL6
- resolves bz#1387151 - update product certificate for RHGS 3.2.0 for RHEL7
- resolves bz#1375059 - include vsdm dependency for RHGS 3.2.0 ISO

* Fri Nov 11 2016 Milind Changire <mchangir@redhat.com> - 3.2.0.1-1
- version bump to accommodate spec file change

* Thu Nov 10 2016 Milind Changire <mchangir@redhat.com> - 3.2.0.0-2
- resolves bz#1375057 - removing vdsm dependency on RHEL-7
- resolves bz#1375059 - removing vdsm dependency on RHEL-6

* Fri Sep 23 2016 Milind Changire <mchangir@redhat.com> - 3.2.0.0-1
- first build for RHGS 3.2.0
- updated with new product certificate for RHEL 7.3

* Thu Aug 11 2016 Milind Changire <mchangir@redhat.com> - 3.1.3.0-4
- resolves bz#1365832 - deprecate vdsm-reg for RHEL 7 and later

* Thu Jun 16 2016 Milind Changire <mchangir@redhat.com> - 3.1.3.0-3
- resolves bz#1347217 - entitlement certificate update for RHEL version

* Mon May 16 2016 Milind Changire <mchangir@redhat.com> - 3.1.3.0-2
- resolves bz#1330511 - build for RHGS 3.1.3 for RHEL 6.8

* Fri Apr 22 2016 Milind Changire <mchangir@redhat.com> - 3.1.3.0-1
- first build for RHGS 3.1.3

* Wed Oct 21 2015 Milind Changire <mchangir@redhat.com> - 3.1.2.0-1
- resolves bz#1266824 - Using systemctl to enable NTP service on RHEL-7 and
                        beyond

* Thu Sep 03 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.1.0-2
- resolves bz#1251360 - make all ktune.sh executable for RHEL-6 tuned
                        profiles

* Sat Aug 22 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.1.0-1
- resolves bz#1251360 - Update RHGS tuned profiles for RHEL-6

* Tue Jul 28 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.4-1
- resolves bz#1242454 - RHGS tuned profiles incompatible with RHEL7
                        tuned

* Wed Jul 22 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.3-1
- resolves bz#1243800 - update RHGS product certificate

* Tue Jul 21 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.2-1
- resolves bz#1243800 - Wrong software versions in product
                        certificates of RHGSS 3.1 on RHEL-7 and RHEL-6

* Thu Jul 16 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.1-3
- resolves bz#1243725 - Do not install RHEL-6 tuned profiles in RHEL-7
                        based RHGS

* Fri Jun 26 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.1-2
- resolves bz#1234885 - RHGS-3.1-RHEL-7 ISO broken due to repoclosure
                        errors

* Mon Jun 22 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.1-1
- resolves bz#1234285 - Change how we disable ipv6
- resolves bz#1044258 - megaraid_sas option max_sectors=2048 is not
                        working in RHS 2.1

* Thu Jun 11 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.0-2
- resolves bz#1226898 - redhat-storage-server should stop disabling
                        SELinux

* Fri May 29 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.0-1
- resolves bz#1224609: /etc/redhat-storage-release needs update to
                       provide identity for RHGS Server 3.1.0

* Fri Feb 20 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.4.0-1
- resolves bz#1189871: Remove samba-glusterfs dependency

* Sat Dec 27 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.4-1
- resolves bz#1165255: add manual brick config option in
                       rhs_system_init

* Thu Dec 04 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.3-1
- resolves bz#1165255: Refresh "rhs_system_init" script in
                       /usr/lib/glusterfs/.unsupported
- resolves bz#1164721: remove gstatus from dependency list

* Wed Dec 03 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.2-1
- update redhat storage server version

* Wed Dec 03 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.1-2
- resolves bz#1160936: Remove Samba dependencies

* Mon Dec 01 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.1-1
- resolves bz#1120072: Remove legacy RHS 2.0 upgrade scripts from
                       redhat-storage-server package for RHS 3.0
- resolves bz#1164721: remove gstatus utility as its shipped separately

* Mon Nov 17 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.0-1
- resolves bz#1164721: Packaging gstatus utility with RHS

* Fri Oct 31 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.2.1-1
- resolves bz#1159273: RHEL product certificate shipped through
                       redhat-storage-server package needs update to
                       RHEL6.6

* Fri Oct 17 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.2.0-1
- resolves bz#1154099: update unsupported gluster-deploy to the latest.

* Wed Sep 24 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.1.0-1
- resolves bz#1114901: rhs-system-init.sh needs modification to
                       support snapshot requirement

* Mon Jul 28 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.3-2
- resolves bz#1123328: Upgrade/Install of
                       redhat-storage-server-3.0.0.3-1.el6rhs fails
                       with dependency error on abrt >= 2.0.8-23

* Mon Jul 21 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.3-1
- resolves bz#1103550: rename certificate files only with product-ids

* Sat Jul 19 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.2-1
- resolves bz#1103550: Include RHS product certificate in
                       /etc/pki/product/186.pem

* Wed Jul 16 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.1-1
- resolves bz#1116789: coredump files getting collected in "/" not in
                       /var/log/core
- remove non-working fix of bz#829657

* Thu Jun 12 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-5
- resolves bz#1108484: remove ctdb dependency as RHS does not install
                       it default

* Fri Jun 06 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-4
- fix ctdb dependency to ctdb2.5

* Fri May 30 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-3
- fix dependency gluster-swift-plugin as swiftonfile
- set glusterfs dependency version to 3.6

* Wed May 07 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-2
- add dependency gluster-nagios-addons

* Wed Mar 12 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-1
- update major/minor/release version

* Mon Jan 20 2014 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2.0-3
- resolves bz#1038475: Include latest version of "gluster-deploy-tool"

* Thu Dec 12 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2.0-2
- resolves bz#1038475: Include the "gluster-deploy-tool" as part of
                        the unsupported toolset
- resolves bz#994889: Discrepancy in packages installed of ISO based
                      and Satellite based RHS installation

* Tue Nov 26 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2.0-1
- resolves bz#1015231: rhs-virtualization and rhs-high-throughput
                       profiles not robust enough
- resolves bz#1028449: tuned: barriers need to be left enabled
- resolves bz#1020291: [RHSC] - Adding nodes to the console gives a
                       warning saying "Network virbr0 is not attached
                       to any interface on host server4."

* Wed Nov 20 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-6
- resolves bz#1032128: SELinux in enforcing mode in RHSS system
                       installed from RHSS 2.1 U1 RC ISO. It looks
                       like selinux is set to enforcing by
                       /usr/sbin/lokkit from
                       system-config-firewall-base eventhough its was
                       set to disabled by redhat-storage-server.

* Thu Nov 14 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-5
- resolves bz#1029300: Red Hat Storage Server installation from RH
                       Satellite Server fails, due to missing
                       dependency packages, and package conflict
                       issues

* Wed Nov 13 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-4
- resolves bz#994889: Discrepancy in packages installed of ISO based
                      and Satellite based RHS installation

* Tue Nov 12 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-3
- resolves bz#1029300: remove gpg-pubkey and gpg-pubkey-fd431d51
                       dependencies

* Mon Nov 11 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-2
- resolves bz#994889: Discrepancy in packages installed of ISO based
                      and Satellite based RHS installation

* Thu Oct 24 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-1
- update release version to update 1

* Wed Aug 28 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.3-1
- updated unsupported rhs-system-init.sh for RHS 2.1

* Wed Aug 28 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.2-1
- populate bricklist with path set in brick file for tuned profiles
- resolves bz#1001040

* Fri Aug 23 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.1-1
- resolves bz#829657
- resolves bz#986516
- added unsupported gtop and rhs-system-init.sh
- resolves bz#996352

* Tue Aug 13 2013 Anthony Towns <atowns@redhat.com> - 2.1.0-3
- require tuned, Resolves: bz#989975, bz#920463
- require ntp and start ntpd on boot, Resolves: bz#920450
- require miscellaneous other packages to bring deps closer into line
  with comps groups, Resolves: bz#994889
- version dependency on glusterfs

* Wed Jul 24 2013 Anthony Towns <atowns@redhat.com> - 2.1.0-1
- bump version to match Red Hat Storage version
- add /etc/redhat-storage-release file
- ensure /etc/issue is accurate on upgrades
- disable ipv6, selinux
- set configuration for iscsi, tuned, ip6tables

* Mon Jul 15 2013 Anthony Towns <atowns@redhat.com> - 1.7.3-2
- renamed from appliance/appliance-base to redhat-storage-server
- require glusterfs and other expected RHS packages

* Wed Jun 19 2013 Balamurugan Arumugam <barumuga@redhat.com> - 1.7.3-1
- fixes https://bugzilla.redhat.com/show_bug.cgi?id=910566

* Mon May 20 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.2-1
- Change the version from 1.7.1 to 1.7.2

* Wed May 15 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-3
- Updated to 1.7.1-3

* Wed May 15 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-2
- fix bug in both rhs-high-throughput and rhs-virtualization
- fix bug in both profiles
- handles case where XFS file system is in a raw SCSI device partition

* Wed Mar 20 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-1
- changed the version from 1.7 to 1.7.1

* Tue Mar 19 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-8
- tuned: get readahead right devices those are bricks

* Mon Feb 18 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-7
- tuned: add rhs-virtualization profile
- fix tuning parameters
- remove unused .in files

* Thu Jun 21 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-6
- multipath support bug fix in high-throughput profile

* Tue Jun 19 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-5
- Added multipath support in high-throughput profile

* Thu Jun 14 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-4
- Remove aliasing for mkfs.xfs

* Tue May 29 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-3
- Include megaraid module configuration (rhbz#806405)

* Wed May 23 2012 Anthony Towns <atowns@redhat.com> - 1.7-2
- Include megaraid module configuration (rhbz#806405)

* Tue Apr 24 2012 Anthony Towns <atowns@redhat.com> - 1.7-1
- Update for Red Hat Storage 2.0
- Include tuned profile

* Tue Nov 15 2011 Dennis Gregorovic <dgregor@redhat.com> - 1.6-2
- Rebuild for Red Hat Storage Software Appliance 3.2

* Tue Jan 11 2011  <harsha@gluster.com> - ami-tools
- Initial build.

